---

- hosts: localhost
  connection: local
  gather_facts: false
  vars_files:
    - ovirt_password.yml
  tasks:
    - name: Modifying storage of VM
      ovirt_disk:
        auth: username=osos_admin@internal password={{ ovirt_password }} url=https://{{ rhevm_fqdn }}/ovirt-engine/api insecure=yes
        name: "{{ disk_name }}"
        vm_name: "{{ vm_name }}"
        size: "{{ size }}GiB"
        format: raw
        interface: virtio
        storage_domain: "{{ domain }}"
